VPS侦探论坛

 找回密码
 注册
查看: 1477|回复: 3

1.9无法升级mariadb 10.11.2 请问2.0可以正常升级吗?

[复制链接]
发表于 2023-4-12 09:16:40 | 显示全部楼层 |阅读模式

军哥,1.9无法升级mariadb 10.11.2 请问2.0可以正常升级吗?
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-4-13 10:35:25 | 显示全部楼层


修改一下 include/upgrade_mariadb.sh 查找 '^10.[56].' 替换为 '^10.[5-9]|1[01].'  保存
再升级就可以了
另外如果系统老旧或者cmake 低于3,gcc也低的话可能会升级失败
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2023-4-14 07:21:32 | 显示全部楼层

licess 发表于 2023-4-13 10:35
修改一下 include/upgrade_mariadb.sh 查找 '^10.[56].' 替换为 '^10.[5-9]|1[01].'  保存
再升级就可以了
...

军哥,2.0里是否会直接加上安装10.11.* 这个新版的选项?
美国VPS推荐: 遨游主机LinodeLOCVPS主机云搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2023-4-14 14:24:09 | 显示全部楼层



ldlbf 发表于 2023-4-14 07:21
军哥,2.0里是否会直接加上安装10.11.* 这个新版的选项?

几个EOL的版本会去掉,只保留几个还在支持的版本
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2024-7-17 19:12 , Processed in 0.039648 second(s), 16 queries .

Powered by Discuz! X3.4

© 2001-2023 Discuz! Team.

快速回复 返回顶部 返回列表